<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" routerLink="">Angular Playground</a>

  <button class="navbar-toggler" type="button"
          aria-controls="navbarContent" [attr.aria-expanded]="navbarOpen" aria-label="Toggle navigation"
          (click)="toggleNavbar()">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div id="navbarContent" class="collapse navbar-collapse"
       [ngClass]="{ 'show': navbarOpen }">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
        <a class="nav-link" routerLink="/">Home</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="components">Componenti</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="routing-parametrized">Routing</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="directives">Direttive</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="service">Servizi</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="pipes">Pipe</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="resolve">Resolve</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="form">Form</a>
      </li>
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="tables">Tabella</a>
      </li>
      <li class="nav-item" routerLinkActive="active" *ngIf="loggedIn">
        <a class="nav-link" routerLink="admin">Amministrazione</a>
      </li>
    </ul>
    <div>
      <button
        *ngIf="!loggedIn"
        class="btn btn-primary my-2 my-sm-0"
        type="button" (click)="onLogin()">Login</button>
      <button
        *ngIf="loggedIn"
        class="btn btn-danger my-2 my-sm-0"
        type="button" (click)="onLogout()">Logout</button>
    </div>
  </div>
</nav>
